/* Fonts */

@font-face {
    font-family: 'HelveticaNeue';
    src: url('fonts/helveticaneue.eot');
    src: url('fonts/helveticaneued41d.eot?#iefix') format('embedded-opentype'),
         url('fonts/helveticaneue.woff') format('woff'),
         url('fonts/helveticaneue.ttf') format('truetype'),
         url('fonts/helveticaneue.svg#HelveticaNeue') format('svg');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'HelveticaNeueUltraLight';
    src: url('fonts/helveticaneueultralight.eot');
    src: url('fonts/helveticaneueultralightd41d.eot?#iefix') format('embedded-opentype'),
         url('fonts/helveticaneueultralight.woff') format('woff'),
         url('fonts/helveticaneueultralight.ttf') format('truetype'),
         url('fonts/helveticaneueultralight.svg#HelveticaNeueUltraLight') format('svg');
    font-weight: normal;
    font-style: normal;

}

@font-face {
  font-family: 'Steelfish';
  src: url('fonts/steelfish-webfont.eot');
  src: url('fonts/steelfish-webfontd41d.eot?#iefix') format('embedded-opentype'), url('fonts/steelfish-webfont.woff') format('woff'), url('fonts/steelfish-webfont.ttf') format('truetype'), url('fonts/steelfish-webfont.svg#steelfish_rgregular') format('svg');
  font-weight: normal;
  font-style: normal;
}

html,
body {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
  color: rgba(255, 255, 255, 0.75);
  background-color: #ffffff;
  font-family: 'HelveticaNeue', 'Arial', sans-serif;
}

/* FLAT */

:focus {
  outline: none;
}

/* LOADING */

.loading-indicator {
  display: none;
  height: 100%;
  width: 100%;
  z-index: 500;
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  background-color: #000000;
  text-align: center;
  line-height: 400px;
}

.big {
  font-size: 30px;
  font-family: 'HelveticaNeue';
}

.app-loading .loading-indicator,
.app-error .loading-indicator {
  display: block;
}

.app-loading .loading-indicator {
  background-position: center center;
  background-image: url(../images/loading.gif);
  background-repeat: no-repeat;
}

.app-error .loading-message {
  background-position: top center;
  background-image: url(../images/error.png);
  background-repeat: no-repeat;
  padding-top: 60px;
  width: 100%;
  position: absolute;
  z-index: 2;
  top: 40%;
  left: 0;
  text-align: center;
}


/* ESRI */

.esri-ui-inner-container {
  left: 10px !important;
}

.esri-ui-top-left {
  top: 105px !important;
}

.esri-attribution {
  display: none;
}

.esri-zoom .esri-button {
  width: 26px;
  height: 26px;
  line-height: 26px;
  border: none;
  outline: none;
  font-size: 12px;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  border-radius: 0px !important;
  -webkit-border-radius: 0px !important;
  -moz-border-radius: 0px !important;
  -o-border-radius: 0px !important;
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
  box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
}

.esri-widget-button {
  background-color: #000000;
  color: #fff;
}

.esri-widget-button:hover {
  background-color: #333333;
  color: #fff;
}


/* COMMON */

.shadow {
  -webkit-box-shadow: 1px 1px 3px 0px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 1px 1px 3px 0px rgba(0, 0, 0, 0.3);
  box-shadow: 1px 1px 3px 0px rgba(0, 0, 0, 0.3);
}

.left {
  float: left;
}

.right {
  float: right;
}

/* SYM */

#panelSym {
  position: absolute;
  left: -100px;
  width: 40px;
  height: 40px;
}


/* TOP */

#panelTop {
  position: absolute;
  left: 10px;
  top: 10px;
  width: 300px;
  height: 100px;
  background-color: rgba(0, 0, 0, 0.75);
  overflow: hidden;
  box-sizing: border-box;
  font-family: 'HelveticaNeue';
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
}

#panelHeader {
  position: absolute;
  left: 10px;
  right: 10px;
  top: 10px;
  height: 30px;
}

#panelTitle {
  height: 30px;
  line-height: 30px;
  float: left;
  font-size: 30px;
}

.light {
  font-family: 'HelveticaNeueUltraLight';
}

#btnPlay {
  float: right;
  width: 30px;
  height: 30px;
  border-radius: 15px;
  margin: 0;
  background-color: #ffffff;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 30px;
  background-image: url(../images/play.png);
  cursor: pointer;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
}

.playing {
  background-image: url(../images/pause.png) !important;
}

#panelDate {
  position: absolute;
  left: 10px;
  with: 150px;
  top: 50px;
  height: 20px;
  line-height: 20px;
  font-size: 14px;
  display: block;
  font-family: 'HelveticaNeueUltraLight';
}

#panelCredits {
  position: absolute;
  right: 10px;
  width: 200px;
  top: 50px;
  height: 20px;
  line-height: 20px;
  font-size: 14px;
  display: block;
  font-family: 'HelveticaNeueUltraLight';
  text-align: right;
  opacity: 0.7;
}



/* MAIN */

#panelMain {
  position: absolute;
  width: 100%;
  height: 100%;
  display: block;
}

#panelView {
  position: absolute;
  width: 100%;
  height: 100%;
  display: block;
}


/* BOTTOM */

#panelBottom {
  position: absolute;
  bottom: 0px;
  width: 100%;
  height: 245px;
  overflow-x: auto;
  overflow-y: hidden;
  background-color: rgba(0, 0, 0, 0.5);
}

#panelCards {
  position: absolute;
  width: 0px;
  height: 230px;
  overflow: visible;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-transition-delay: 0.3s; 
  -moz-transition-delay: 0.3s;
  -o-transition-delay: 0.3s;
  transition-delay: 0.3s;
}



/* SCRILLBAR */

#panelBottom::-webkit-scrollbar {
  width: 6px;
  height: 6px;
  background-color: rgba(255, 255, 255, 0.1);
}

#panelBottom::-webkit-scrollbar-thumb {
  background-color: rgba(255, 255, 255, 0.4);
}

#panelBottom {
  scrollbar-base-color: #4c4c4c;
  scrollbar-3dlight-color: #4c4c4c;
  scrollbar-highlight-color: #4c4c4c;
  scrollbar-track-color: #444444;
  scrollbar-arrow-color: #2e2e2e;
  scrollbar-shadow-color: #4c4c4c;
  scrollbar-dark-shadow-color: #4c4c4c;
  scrollbar-face-color: #2e2e2e;
}



/* MEDIA SPECIFIC: PHONES */

@media screen and (max-width: 400px) {
  #panelMsg {
    width: 300px;
  }
}





